# Install GoBulleTrain,
# Highly configurable prompt builder for Bash, ZSH and PowerShell written in Go.

Make sure go directory exists:
  file.directory:
    - name: {{ salt['user.info']( pillar['username']).home }}/go
    - user: {{ pillar['username'] }}
    - group: users
    - mode: "0755"

{% if not salt['file.directory_exists']('{}/go/src/github.com/jtyr/gbt'.format(salt['user.info']( pillar['username'] ).home )) %}
Go get GBT:
  cmd.run:
    - name: go get github.com/jtyr/gbt/cmd/gbt
    - runas: {{ pillar['username'] }}
    - env:
      - GOPATH: {{ salt['user.info']( pillar['username']).home }}/go
{% endif %}
